/*-----------------------------------------------------------------------------
*
* Project:        Silicon Labs Si7005 UDP Data Logger
*
* Copyright:      2012 Silicon Labs, Inc. (www.silabs.com)
*
* File Name:      Sensor.h
*
* Description:    Read the temperature and humidity from a sensor device
*
* Revision History:
*
*   10/08/12  QHS  Initial Release
*
*----------------------------------------------------------------------------*/

void Sensor_Init( void );
void Sensor_WakeUp( U8 Bus );
void Sensor_Sleep( U8 Bus );
S8   Sensor_ReadTemperature( U8 Bus, S16 *Temperature );
S8   Sensor_ReadHumidity( U8 Bus, S16 Temperature, S16 *Humidity );
U8   Sensor_ID( U8 Bus );

