/*-----------------------------------------------------------------------------
*
* Project:        Silicon Labs Si7005 UDP Data Logger
*
* Copyright:      2013 Silicon Labs, Inc. (www.silabs.com)
*
* File Name:      Sensor.h
*
* Description:    Read the temperature and humidity from a sensor device
*
* Revision History:
*
*   02/01/13  QHS  Initial Release
*
*----------------------------------------------------------------------------*/

#ifndef __MYSENSOR_H__
#define __MYSENSOR_H__

#include "myI2C0.h"

void    Sensor_enter_default_mode_from_reset( void );
void    Sensor_WakeUp( int Bus );
void    Sensor_Sleep( int Bus );
int     Sensor_ReadTemperature( int Bus, int *Temperature );
int     Sensor_ReadHumidity( int Bus, int Temperature, int *Humidity );
uint8_t Sensor_ID( int Bus );

#endif //__MYSENSOR_H__

